net.dontdrinkandroot.wicketexample.web.model.entity

## Class TestEntityIdModel

- java.lang.Object
- - net.dontdrinkandroot.wicket.model.AbstractChainedModel<TestEntity,Long>
  - - net.dontdrinkandroot.wicketexample.web.model.entity.TestEntityIdModel

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<Long>, org.apache.wicket.util.io.IClusterable

    public class TestEntityIdModel
    extends net.dontdrinkandroot.wicket.model.AbstractChainedModel<TestEntity,Long>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TestEntityIdModel(org.apache.wicket.model.IModel<? extends TestEntity> parent)`

### Method Summary

Methods
`Long` `getObject()`

### Methods inherited from class net.dontdrinkandroot.wicket.model.AbstractChainedModel

`detach, getParent, getParentObject, setObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestEntityIdModel

    public TestEntityIdModel(org.apache.wicket.model.IModel<? extends TestEntity> parent)

### Method Detail

#### getObject

    public Long getObject()